Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
VINHTHU_VINHTHU

[Yêu cầu] Nhờ các bạn viết Lisp cắt đôi miếng hatch

Các bài được khuyến nghị

Là thế này lúc đầu tôi có 1 miếng hatch và 1 đường pline nằm trên đó, nó chia miếng hatch thành 2 miền (gọi là miền trên và miền giới chẳng hạn), tôi muốn miền trên là mẫu hatch này còn miền dưới là 1 mẫu hatch khác.

 

Để làm được như vậy thì có nhiều cách như là xoá hach đó đi rồi hatch lại ( thành 2 miếng hach khác nhau) hoặc là trim cái phần hatch kia đi qua đường pline đó rồi hatch lại phần vừa trim sang mẫu hatch khác….rất mất thời gian.

 

Tôi muốn lisp mà có thể cắt miếng hatch kia ra luôn theo đường pline đó

 

cad_11.jpg

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.

Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)

- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.

Lệnh : brh

Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch

(defun c:brh ()
(grtext -1 "Free Lisp From Cadviet @Ketxu")
(setq Pline (car (entsel "\n Pick vao Pline"))
  e (entsel "\nPick vao vung Hatch ")
     hObj (car e)
  pt (cadr e)
)
(command ".trim"  Pline "" pt "" "-hatch" pt "" "_MATCHPROP" hObj (entlast) ""))

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Uhm, mình chân thành cám ơn các bạn đã cố gắng giúp đỡ, còn ý kiến các bạn thì mình sẽ tiếp thu. Nhưng mình cũng xin giải thích là từ “tôi muốn” ấy ko phải là để đòi hỏi ai cả mà là để diễn đạt cái lệnh đó: “tôi có những điều kiện thế này… và tôi muốn có lisp để có được kết quả như vậy…” , “mong các bạn giúp đỡ để tôi làm đc điều đó…” .Thế thôi có gi đâu ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Uhm, mình chân thành cám ơn các bạn đã cố gắng giúp đỡ, còn ý kiến các bạn thì mình sẽ tiếp thu. Nhưng mình cũng xin giải thích là từ “tôi muốn” ấy ko phải là để đòi hỏi ai cả mà là để diễn đạt cái lệnh đó: “tôi có những điều kiện thế này… và tôi muốn có lisp để có được kết quả như vậy…” , “mong các bạn giúp đỡ để tôi làm đc điều đó…” .Thế thôi có gi đâu ^^

Mà cái đoạn màu đỏ của bạn không có :)

Với mình thì không có vấn đề gì, vì mình cũng không ưa quá hình thức hoặc khách sáo, tuy nhiên, vẫn cần góp ý!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.

Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)

- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.

Lệnh : brh

Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch

(defun c:brh ()
(grtext -1 "Free Lisp From Cadviet @Ketxu")
(setq Pline (car (entsel "\n Pick vao Pline"))
  e (entsel "\nPick vao vung Hatch ")
     hObj (car e)
  pt (cadr e)
)
(command ".trim"  Pline "" pt "" "-hatch" pt "" "_MATCHPROP" hObj (entlast) ""))

 

 

 

Oh! đc rồi thanks bạn ketxu nhiều thế là đc rồi, mình chỉ cần đến thế thôi.^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.

Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)

- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.

Lệnh : brh

Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch

(defun c:brh ()
(grtext -1 "Free Lisp From Cadviet @Ketxu")
(setq Pline (car (entsel "\n Pick vao Pline"))
 	e (entsel "\nPick vao vung Hatch ")
     hObj (car e)
 	pt (cadr e)
)
(command ".trim"  Pline "" pt "" "-hatch" pt "" "_MATCHPROP" hObj (entlast) ""))

Bác ketxu bổ sung thêm lựa chọn đường cắt là nhiều đường 1 lúc, và có thể chọn cả pline, arc, spline....được không ah? Thanks bác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.

Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)

- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.

Lệnh : brh

Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch

 

Hề hề hề,

Bác Ketxu ơi,

cái lisp này không chơi với đồ cổ rùi. Mình dùng cho cad2004 chả thấy xi nhê gì bác ạ.....

Hình như thằng Cad2004 không cho trim đối với hatch. Có nhẽ phải eplore cái hatch này ra chăng?? như vậy thì không dùng matchprop được nữa đúng không bác hè????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Hề hề hề,

Bác Ketxu ơi,

cái lisp này không chơi với đồ cổ rùi. Mình dùng cho cad2004 chả thấy xi nhê gì bác ạ.....

Hình như thằng Cad2004 không cho trim đối với hatch. Có nhẽ phải eplore cái hatch này ra chăng?? như vậy thì không dùng matchprop được nữa đúng không bác hè????

Chính xác là CAD2004 không cho trim đối với Hatch.

Bác Bình vẫn chuộng đồ cổ... Em ủng hộ bác trang bị đồ mới :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Bác ketxu bổ sung thêm lựa chọn đường cắt là nhiều đường 1 lúc, và có thể chọn cả pline, arc, spline....được không ah? Thanks bác

Hề hề hề,

Không hiểu ý của bạn này nữa???

Nếu chọn nhiều dao cắt một lượt thì sẽ tạo ta nhiều vùng cắt khác nhau chứ không phải chỉ có hai vùng như khi chọn một dao. Vậy thì muốn hatch lại như cũ sẽ phải pick nhiều điểm chứ chả thể pick một điểm như bác Ketxu đã viết và khi matchprop cũng sẽ phải matchprop nhiều đối tương chứ chả phải chỉ lây (entlast) là được. Vậy bạn có cách chi để xác dịnh các vùng cần hatch lại này hay là cứ khoái thằng nào thì pick thằng đó???? Nếu không xác định được thì chi bằng sử dụng cái của bác Ketxu nhiều lần có hơn là chọn nhiều dao một lúc không nhỉ???

Còn cái Pline bác ketxu viết chỉ là biến chứ không phải loại đối tượng. Vậy nên bạn có quyền chọn bất kỳ đối tượng nào mà lệnh trim cho phép sử dụng với đối tượng ấy là OK chứ đâu phải bác ấy bảo là bạn chỉ được dùng Pline mà bạn hỏi vậy.

Hề hề hề, rất mong bạn cân nhắc kỹ trước khi yêu cầu, và nếu đã yêu cầu thì cần nói rõ cái đích cuối cùng cần có mới được bạn ạ.

Hề hề hề,...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bach1212    2

hậu bối hiểu biết nông cạn đã biết lỗi roài ah. hjjj.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

8800_4.jpgMình dùng thấy lệnh "BRH" cũng rất được. Nhưng khi cắt mà có đường thẳng cắt ngang thì lại không cắt được nữa. Hãy hộ mình "Chia theo ý muốn" như trên hình vẽ. Cảm ơn rất nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×